Name:		lxrandr
Version:	0.3.3
Release:	%mkrel 2
Summary:	Simple monitor config tool for LXDE
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		https://lxde.sourceforge.net/

Source0:	https://github.com/lxde/%{name}/archive/refs/tags/%{version}.tar.gz
# icons "stolen" from oxygen icon theme
Source1:	%{name}-32.png
Source2:	%{name}-48.png
Source3:	%{name}-16.png

Patch0:		%{name}-0.3.1-mga-desktop-file.patch

BuildRequires:	gtk+3-devel
BuildRequires:	intltool
Requires:	xrandr

%description
This is a very basic monitor config tool utilizing XRandR. It can let you
change the screen resolution on the fly. Besides, when you run lxrandr
with external monitor connected, its GUI will change, and show you some
quick options to get your projector working correctly.

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure --enable-gtk3
%make_build

%install
%make_install
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
mkdir -p %{buildroot}%{_miconsdir}
install -m0644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 %{SOURCE2} %{buildroot}%{_liconsdir}/%{name}.png
install -m0644 %{SOURCE3} %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%name
%{_mandir}/man1/*.1.*
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png



%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.3.3-2.mga10
+ Revision: 2249866
- Mageia 10 Mass Rebuild

* Wed Mar 26 2025 ns80 <ns80> 0.3.3-1.mga10
+ Revision: 2170012
- new version 0.3.3

* Wed Nov 27 2024 ns80 <ns80> 0.3.2-6.git20241127.1.mga10
+ Revision: 2119467
- update to latest git snapshot to add Latgalian translation

* Tue Sep 10 2024 ns80 <ns80> 0.3.2-6.git20240823.1.mga10
+ Revision: 2094861
- update to latest git snapshot

* Wed Aug 30 2023 ns80 <ns80> 0.3.2-6.git20230828.1.mga10
+ Revision: 1981748
- update to latest git snapshot

* Thu Feb 09 2023 ns80 <ns80> 0.3.2-5.mga9
+ Revision: 1939683
- rebuild for aging

* Wed Mar 30 2022 umeabot <umeabot> 0.3.2-4.mga9
+ Revision: 1835477
- Mageia 9 Mass Rebuild

* Tue Mar 02 2021 ns80 <ns80> 0.3.2-3.mga9
+ Revision: 1696094
- build with GTK 3

* Sat Feb 15 2020 umeabot <umeabot> 0.3.2-2.mga8
+ Revision: 1523460
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 04 2019 ns80 <ns80> 0.3.2-1.mga7
+ Revision: 1371346
- new version 0.3.2

* Sun Sep 23 2018 umeabot <umeabot> 0.3.1-2.mga7
+ Revision: 1299416
- Mageia 7 Mass Rebuild

* Sun Feb 21 2016 ns80 <ns80> 0.3.1-1.mga6
+ Revision: 975324
- add patch correct-pt-po-file
- new version 0.3.1
- rediff patch desktop-file

* Tue Feb 09 2016 umeabot <umeabot> 0.3.0-3.mga6
+ Revision: 951897
- Mageia 6 Mass Rebuild

* Fri Jan 09 2015 alexl <alexl> 0.3.0-2.mga5
+ Revision: 809642
- updated desktop file and fixed installation for it
- deleted deprecated workaround build loop

* Wed Oct 22 2014 alexl <alexl> 0.3.0-1.mga5
+ Revision: 792507
- version 0.3.0 (mga#14161)

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-7.mga5
+ Revision: 746725
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-6.mga5
+ Revision: 682099
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-5.mga4
+ Revision: 507635
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.2-4.mga3
+ Revision: 359189
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 19 2012 obgr_seneca <obgr_seneca> 0.1.2-3.mga2
+ Revision: 235910
- removed second desktop file

* Wed Feb 01 2012 obgr_seneca <obgr_seneca> 0.1.2-2.mga2
+ Revision: 203862
- added icon and fixed desktop file (bug 3135)
+ tv <tv>
- BuildRequires:  intltool
- new release

* Mon Feb 07 2011 ahmad <ahmad> 0.1.1-2.mga1
+ Revision: 48723
- drop old/unneeded scriptlets
- workaround build loop
- imported package lxrandr


* Fri Jul 10 2009 Funda Wang <fwang@mandriva.org> 0.1.1-1mdv2010.0
+ Revision: 394053
- fix file list
- new version 0.1.1

* Sun Jun 22 2008 Funda Wang <fwang@mandriva.org> 0.1-1mdv2009.0
+ Revision: 227910
- import lxrandr


